## ocp 0.2.107+ds

=== cpiface/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make
include Makefile-static

ifeq ($(STATIC_CORE),1)
all: $(cpiface_so) $(cpiface_libocp_so) $(cpifontdebug_so)
else
all: cpiface$(LIB_SUFFIX) $(cpiface_libocp_so) $(CPIFONTDEBUG_SO)
endif

cpiface$(LIB_SUFFIX): $(cpiface_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ $(LIBJPEG_LIBS) $(LIBPNG_LIBS) $(MATH_LIBS)

cpifontdebug$(LIB_SUFFIX): $(cpifontdebug_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX)

ifeq ($(STATIC_CORE),1)
install:
uninstall:
else
install:
	$(CP) cpiface$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIROCP)/autoload/35-cpiface$(LIB_SUFFIX)"
ifeq ($(NEED_CPIFONTDEBUG),1)
	$(CP) cpifontdebug$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIROCP)/autoload/40-cpifontdebug$(LIB_SUFFIX)"
endif

uninstall:
	rm -f "$(DESTDIR)$(LIBDIROCP)/autoload/35-cpiface$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIROCP)/autoload/40-cpifacefontdebug$(LIB_SUFFIX)"
endif

cpikeyhelp.o: cpikeyhelp.c cpiface.h \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../stuff/poutput.h \
	../stuff/framelock.h
	$(CC) cpikeyhelp.c -o $@ -c

fft.o: fft.c fft.h \
	../config.h
	$(CC) fft.c -o $@ -c

cpianal.o: cpianal.c \
	../config.h \
	../types.h \
	cpiface.h \
	cpiface-private.h \
	fft.h \
	../boot/psetting.h \
	../dev/mcp.h \
	../stuff/poutput.h
	$(CC) cpianal.c -o $@ -c

cpichan.o: cpichan.c \
	cpiface.h \
	cpiface-private.h \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../stuff/poutput.h
	$(CC) cpichan.c -o $@ -c

cpidots.o: cpidots.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../cpiface/cpiface-private.h \
	../cpiface/cpipic.h \
	../stuff/poutput.h
	$(CC) cpidots.c -o $@ -c

cpifontdebug.o: cpifontdebug.c \
	cpiface.h \
	../config.h \
	../types.h \
	../boot/console.h \
	../boot/plinkman.h \
	../filesel/pfilesel.h \
	../stuff/err.h \
	../stuff/poutput.h \
	../stuff/poutput-fontengine.h \
	../stuff/poutput-swtext.h
	$(CC) $< -o $@ -c

cpigraph.o: cpigraph.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h \
	cpiface-private.h \
	cpipic.h \
	fft.h \
	../dev/mcp.h
	$(CC) cpigraph.c -o $@ -c

cpiinst.o: cpiinst.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../stuff/poutput.h \
	cpiface.h \
	cpiface-private.h
	$(CC) cpiinst.c -o $@ -c

cpikube.o: cpikube.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../stuff/compat.h \
	../stuff/poutput.h
	$(CC) cpikube.c -o $@ -c

cpilinks.o: cpilinks.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../filesel/pfilesel.h \
	cpiface.h \
	../boot/plinkman.h
	$(CC) cpilinks.c -o $@ -c

cpimsg.o: cpimsg.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h
	$(CC) cpimsg.c -o $@ -c

cpimvol.o: cpimvol.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../stuff/poutput.h \
	cpiface.h \
	cpiface-private.h
	$(CC) cpimvol.c -o $@ -c

cpiphase.o: cpiphase.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../cpiface/cpiface-private.h \
	../cpiface/cpipic.h \
	../dev/mcp.h \
	../stuff/imsrtns.h \
	../stuff/poutput.h
	$(CC) cpiphase.c -o $@ -c

cpipic.o: cpipic.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../cpiface/cpipic.h \
	../cpiface/gif.h \
	../cpiface/tga.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/filesystem-drive.h \
	../stuff/compat.h
	$(CC) cpipic.c -o $@ -c

cpiptype.o: cpiptype.c \
	../config.h \
	../types.h \
	cpiptype.h \
	../filesel/mdb.h
	$(CC) cpiptype.c -o $@ -c

cpiscope.o: cpiscope.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../cpiface/cpiface-private.h \
	../cpiface/cpipic.h \
	../dev/mcp.h \
	../stuff/poutput.h
	$(CC) cpiscope.c -o $@ -c

cpitext.o: cpitext.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../filesel/pfilesel.h \
	cpiface.h \
	cpiface-private.h \
	../boot/psetting.h \
	../boot/plinkman.h
	$(CC) cpitext.c -o $@ -c

cpitrack.o: cpitrack.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../boot/psetting.h \
	cpiface.h \
	cpiface-private.h
	$(CC) cpitrack.c -o $@ -c

mcpedit.o: mcpedit.c \
	../config.h \
	../types.h \
	../cpiface/cpiface.h \
	../cpiface/cpiface-private.h \
	../cpiface/mcpedit.h \
	../dev/deviwave.h \
	../dev/mcp.h \
	../dev/player.h \
	../boot/psetting.h \
	../stuff/poutput.h \
	../stuff/sets.h
	$(CC) mcpedit.c -o $@ -c

gif.o: gif.c \
	gif.h \
	../config.h \
	../types.h
	$(CC) gif.c -o $@ -c

jpeg.o: jpeg.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h \
	jpeg.h
	$(CC) $< -o $@ -c $(LIBJPEG_CFLAGS)

png.o: png.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h \
	png.h
	$(CC) $< -o $@ -c $(LIBPNG_CFLAGS)

tga.o: tga.c \
	tga.h \
	../config.h \
	../types.h
	$(CC) tga.c -o $@ -c

cpiface.o: cpiface.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../cpiface/cpiface-private.h \
	../cpiface/cpipic.h \
	../cpiface/cpiptype.h \
	../cpiface/mcpedit.h \
	../dev/mcp.h \
	../dev/player.h \
	../dev/ringbuffer.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/filesystem-unix.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/imsrtns.h \
	../stuff/framelock.h \
	../stuff/latin1.h \
	../stuff/piperun.h \
	../stuff/poutput.h \
	../stuff/poll.h \
	../stuff/sets.h
	$(CC) cpiface.c -o $@ -c

volctrl.o: volctrl.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	cpiface.h \
	cpiface-private.h \
	../stuff/imsrtns.h \
	vol.h
	$(CC) volctrl.c -o $@ -c

=== dev/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make
include Makefile-static

ifeq ($(STATIC_CORE),1)
all: $(plrbase_so) $(mcpbase_so) $(mchasm_so)
else
all: plrbase$(LIB_SUFFIX) mcpbase$(LIB_SUFFIX) mchasm$(LIB_SUFFIX)
endif

plrbase$(LIB_SUFFIX): $(plrbase_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

mcpbase$(LIB_SUFFIX): $(mcpbase_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

mchasm$(LIB_SUFFIX): $(mchasm_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX) mchasm_test smpman_asminctest ringbuffer-unit-test

ifeq ($(STATIC_CORE),1)
install:
uninstall:
else
install:
	$(CP) mcpbase$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIROCP)/autoload/20-mcpbase$(LIB_SUFFIX)"
	$(CP) plrbase$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIROCP)/autoload/20-plrbase$(LIB_SUFFIX)"
	$(CP) mchasm$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIROCP)/autoload/10-mchasm$(LIB_SUFFIX)"


uninstall:
	rm -f "$(DESTDIR)$(LIBDIROCP)/autoload/20-mcpbase$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIROCP)/autoload/20-plrbase$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIROCP)/autoload/10-mchasm$(LIB_SUFFIX)"
endif

test: ringbuffer-unit-test mchasm_test smpman_asminctest
	./ringbuffer-unit-test
	./mchasm_test
	./smpman_asminctest

ringbuffer-unit-test: \
	ringbuffer.c \
	../config.h \
	../types.h
	$(CC) ringbuffer.c -o $@ -DUNIT_TEST

deviplay.o: deviplay.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../dev/deviplay.h \
	../dev/player.h \
	../dev/ringbuffer.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/filesystem-drive.h \
	../filesel/filesystem-file-dev.h \
	../filesel/filesystem-setup.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/poutput.h
	$(CC) deviplay.c -o $@ -c

deviwave.o: deviwave.c \
	freq.c \
	smpman.c \
	smpman_asminc.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../dev/deviwave.h \
	../dev/mcp.h \
	../dev/mix.h \
	../dev/player.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/filesystem-drive.h \
	../filesel/filesystem-file-dev.h \
	../filesel/filesystem-setup.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/imsrtns.h \
	../stuff/poutput.h
	$(CC) deviwave.c -c -o $@ -c

mchasm.o: mchasm.c mchasm.h \
	../config.h \
	../types.h \
	../boot/plinkman.h
	$(CC) mchasm.c -o $@ -c

mchasm_test.o: mchasm_test.c mchasm.h \
	../config.h \
	../types.h
	$(CC) mchasm_test.c -o $@ -c

mchasm_test: mchasm.o mchasm_test.o
	$(CC) -o $@ $^

mix.o: mix.c mix.h \
	../config.h \
	../types.h \
	../dev/mcp.h \
	../dev/postproc.h \
	../cpiface/cpiface.h \
	../stuff/imsrtns.h \
	../stuff/pagesize.inc.c \
	mixasm.h
	$(CC) mix.c -o $@ -c

mixasm.o: mixasm.c mixasm.h \
	../config.h \
	../types.h \
	mix.h
	$(CC) -O mixasm.c -o $@ -c

player.o: player.c player.h \
	../config.h \
	../types.h \
	../cpiface/cpiface.h \
	mchasm.h \
	mcp.h \
	../stuff/imsrtns.h
	$(CC) player.c -o $@ -c

postproc.o: postproc.c postproc.h \
	../config.h \
	../types.h \
	../stuff/err.h
	$(CC) $< -o $@ -c

plrasm.o: plrasm.c plrasm.h \
	../config.h \
	../types.h
	$(CC) plrasm.c -o $@ -c

ringbuffer.o: ringbuffer.c ringbuffer.h \
	../config.h \
	../types.h
	$(CC) ringbuffer.c -o $@ -c

smpman_asminctest.o: smpman_asminctest.c smpman_asminc.c ../config.h
	$(CC) smpman_asminctest.c -o $@ -c

smpman_asminctest: smpman_asminctest.o
	$(CC) -o $@ $^

=== filesel/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make
include Makefile-static


ifeq ($(STATIC_CORE),1)
all: $(cdrom_so) $(pfilesel_so)
else
all: $(CDROM_SO) pfilesel$(LIB_SUFFIX)
endif
	$(MAKE) -C cdfs TOPDIR=../$(TOPDIR)

test: adbmeta-test$(EXE_SUFFIX) dirdb-test$(EXE_SUFFIX) filesystem-bzip2-test$(EXE_SUFFIX) filesystem-filehandle-cache-test$(EXE_SUFFIX) filesystem-gzip-test$(EXE_SUFFIX) filesystem-tar-test$(EXE_SUFFIX) mdb-test$(EXE_SUFFIX)
	@echo "" && echo "adbmeta-test:"                       && ./adbmeta-test
	@echo "" && echo "dirdb-test:"                         && ./dirdb-test
	@echo "" && echo "filesystem-bzip2-test:"              && ./filesystem-bzip2-test
	@echo "" && echo "filesystem-filehandle-cache-test:"   && ./filesystem-filehandle-cache-test
	@echo "" && echo "filesystem-gzip-test:"               && ./filesystem-gzip-test
	@echo "" && echo "filesystem-tar-test:"                && ./filesystem-tar-test
	@echo "" && echo "mdb-test:"                           && ./mdb-test

cdrom$(LIB_SUFFIX): $(cdrom_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ $(PTHREAD_LIBS) $(LIBDISCID_LIBS)

pfilesel$(LIB_SUFFIX): $(pfilesel_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ -lbz2 -lz $(MATH_LIBS) $(ICONV_LIBS) $(LIBCJSON_LIBS) $(LIBANCIENT_LIBS)

clean:
	$(MAKE) -C cdfs TOPDIR=../$(TOPDIR) clean
	rm -f *.o *$(LIB_SUFFIX) adbmeta-test$(EXE_SUFFIX) dirdb-test$(EXE_SUFFIX) filesystem-bzip2-test$(EXE_SUFFIX) filesystem-filehandle-cache-test$(EXE_SUFFIX) filesystem-gzip-test$(EXE_SUFFIX) filesystem-tar-test$(EXE_SUFFIX) mdb-test$(EXE_SUFFIX)

ifeq ($(STATIC_CORE),1)
install:
uninstall:
else
install:
	$(CP) pfilesel$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIROCP)/autoload/25-pfilesel$(LIB_SUFFIX)"
ifeq ($(CDROM_SUPPORT),1)
	$(CP) $(CDROM_SO) "$(DESTDIR)$(LIBDIROCP)/autoload/30-cdrom$(LIB_SUFFIX)"
endif
	$(MAKE) -C cdfs TOPDIR=../$(TOPDIR) install
uninstall:
	rm -f "$(DESTDIR)$(LIBDIROCP)/autoload/25-pfilesel$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIROCP)/autoload/30-cdrom$(LIB_SUFFIX)"
	$(MAKE) -C cdfs TOPDIR=../$(TOPDIR) uninstall
endif

adbmeta.o: adbmeta.c adbmeta.h \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../filesel/dirdb.h \
	../stuff/file.h
	$(CC) $< -o $@ -c

adbmeta-test$(EXE_SUFFIX): adbmeta-test.c adbmeta.c adbmeta.h \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../filesel/dirdb.h \
	../stuff/file.c \
	../stuff/file.h
	$(CC) $< -o $@

charsets.o: charsets.c \
	../config.h \
	../types.h \
	charsets.h
	$(CC) $< -o $@ -c

dirdb.o: dirdb.c \
	../config.h \
	../types.h \
	../boot/console.h \
	../boot/psetting.h \
	../stuff/compat.h \
	../stuff/file.h \
	../stuff/poutput.h \
	../stuff/utf-8.h \
	dirdb.h \
	mdb.h
	$(CC) $< -o $@ -c

dirdb-test$(EXE_SUFFIX): dirdb-test.c \
	dirdb.c \
	dirdb.h \
	../stuff/compat.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../stuff/compat.h \
	../stuff/file.h \
	../stuff/file.h
	$(CC) $< -o $@

cdrom.o: cdrom.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	cdrom.h \
	dirdb.h \
	filesystem.h \
	filesystem-drive.h \
	filesystem-file-mem.h \
	mdb.h \
	musicbrainz.h \
	pfilesel.h \
	../stuff/err.h
	$(CC) $< -o $@ -c $(LIBDISCID_CFLAGS)

filesystem.o: filesystem.c \
	../config.h \
	../types.h \
	filesystem.h
	$(CC) $< -o $@ -c

filesystem-ancient.o: filesystem-ancient.cpp \
	../config.h \
	../types.h \
	../cpiface/cpiface.h \
	filesystem.h \
	filesystem-ancient.h \
	filesystem-file-mem.h
	$(LIBANCIENT_CXX) $< -o $@ -c $(LIBANCIENT_CXXFLAGS)

filesystem-bzip2.o: filesystem-bzip2.c \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem.h \
	filesystem-bzip2.h \
	../stuff/framelock.h
	$(CC) $< -o $@ -c

filesystem-bzip2-test$(EXE_SUFFIX): filesystem-bzip2-test.c \
	filesystem-bzip2.c \
	filesystem-file-mem.h \
	filesystem-dir-mem.h \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem-bzip2.h \
	filesystem-file-mem-nocache.o \
	filesystem-dir-mem-nocache.o
	$(CC) $< -o $@ filesystem-file-mem-nocache.o filesystem-dir-mem-nocache.o -lbz2

filesystem-dir-mem-nocache.o: filesystem-dir-mem.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-dir-mem.h
	$(CC) $< -o $@ -c -DFILEHANDLE_CACHE_DISABLE

filesystem-dir-mem.o: filesystem-dir-mem.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-dir-mem.h
	$(CC) $< -o $@ -c

filesystem-drive.o: filesystem-drive.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-drive.h \
	../stuff/compat.h
	$(CC) $< -o $@ -c

filesystem-file-dev.o: filesystem-file-dev.c \
	../config.h \
	../types.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/filesystem-file-dev.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h
	$(CC) $< -o $@ -c

filesystem-file-mem-nocache.o: filesystem-file-mem.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-file-mem.h
	$(CC) $< -o $@ -c -DFILEHANDLE_CACHE_DISABLE

filesystem-file-mem.o: filesystem-file-mem.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-file-mem.h
	$(CC) $< -o $@ -c

filesystem-gzip.o: filesystem-gzip.c \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem.h \
	filesystem-gzip.h \
	../stuff/framelock.h
	$(CC) $< -o $@ -c

filesystem-gzip-test$(EXE_SUFFIX): filesystem-gzip-test.c \
	filesystem-gzip.c \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem-file-mem.h \
	filesystem-dir-mem.h \
	filesystem-gzip.h \
	filesystem-dir-mem-nocache.o \
	filesystem-file-mem-nocache.o
	$(CC) $< -o $@ filesystem-file-mem-nocache.o filesystem-dir-mem-nocache.o -lz

filesystem-filehandle-cache.o: filesystem-filehandle-cache.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-filehandle-cache.h
	$(CC) $< -o $@ -c

filesystem-filehandle-cache-test$(EXE_SUFFIX): filesystem-filehandle-cache-test.c \
	filesystem-filehandle-cache.c \
	filesystem-filehandle-cache.h \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h
	$(CC) $< -o $@

filesystem-pak.o: filesystem-pak.c \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem.h \
	filesystem-pak.h
	$(CC) $< -o $@ -c

filesystem-playlist.o: filesystem-playlist.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-drive.h \
	filesystem-playlist.h \
	modlist.h \
	pfilesel.h \
	../stuff/compat.h
	$(CC) $< -o $@ -c

filesystem-playlist-m3u.o: filesystem-playlist-m3u.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-playlist.h \
	filesystem-playlist-m3u.h \
	mdb.h \
	modlist.h \
	pfilesel.h \
	../stuff/compat.h
	$(CC) $< -o $@ -c

filesystem-playlist-pls.o: filesystem-playlist-pls.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-playlist.h \
	filesystem-playlist-pls.h \
	mdb.h \
	modlist.h \
	pfilesel.h \
	../stuff/compat.h
	$(CC) $< -o $@ -c

filesystem-rpg.o: filesystem-rpg.c \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem.h \
	filesystem-rpg.h \
	../stuff/cp437.h
	$(CC) $< -o $@ -c

filesystem-setup.o: filesystem-setup.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-dir-mem.h \
	filesystem-drive.h \
	filesystem-setup.h \
	pfilesel.h
	$(CC) $< -o $@ -c

filesystem-tar.o: filesystem-tar.c \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem.h \
	filesystem-tar.h
	$(CC) $< -o $@ -c

filesystem-tar-test$(EXE_SUFFIX): filesystem-tar-test.c \
	filesystem-tar.c \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem.h \
	filesystem-tar.h \
	filesystem-dir-mem.h \
	filesystem-file-mem.h \
	filesystem-dir-mem-nocache.o \
	filesystem-file-mem-nocache.o
	$(CC) $< filesystem-dir-mem-nocache.o filesystem-file-mem-nocache.o -o $@

filesystem-unix.o: filesystem-unix.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	dirdb.h \
	filesystem.h \
	filesystem-drive.h \
	filesystem-unix.h \
	../stuff/compat.h
	$(CC) $< -o $@ -c

filesystem-windows.o: filesystem-windows.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/filesystem-drive.h \
	../filesel/filesystem-setup.h \
	../filesel/filesystem-windows.h \
	../filesel/pfilesel.h \
	../stuff/compat.h
	$(CC) $< -o $@ -c

filesystem-zip.o: filesystem-zip.c \
	filesystem-zip-headers.c \
	zip-bzip2.c \
	zip-expand.c \
	zip-explode.c \
	zip-inflate.c \
	zip-unshrink.c \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem.h \
	filesystem-zip.h
	$(CC) $< -o $@ -c

filesystem-z.o: filesystem-z.c \
	z-unlzw.c \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem.h \
	filesystem-z.h \
	../stuff/framelock.h
	$(CC) $< -o $@ -c

mdb.o: mdb.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/filesystem-ancient.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/cp437.h \
	../stuff/compat.h \
	../stuff/file.h \
	../stuff/imsrtns.h \
	../stuff/latin1.h
	$(CC) $< -o $@ -c

mdb-test$(EXE_SUFFIX): mdb-test.c \
	mdb.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/compat.h \
	../stuff/file.h \
	../stuff/file.c \
	../stuff/imsrtns.h
	$(CC) $< -o $@

musicbrainz.o: musicbrainz.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/filesystem-drive.h \
	../filesel/filesystem-file-dev.h \
	../filesel/filesystem-setup.h \
	../filesel/musicbrainz.h \
	../filesel/pfilesel.h \
	../stuff/compat.h \
	../stuff/file.h \
	../stuff/piperun.h \
	../stuff/poutput.h \
	../stuff/utf-8.h
	$(CC) $< -o $@ -c $(LIBCJSON_CFLAGS)

cphlpfs.o: cphlpfs.c \
	../config.h \
	../types.h \
	cphlpfs.h \
	../help/cphelper.h \
	../stuff/framelock.h \
	../stuff/poutput.h
	$(CC) $< -o $@ -c

fsptype.o: fsptype.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	fsptype.h \
	mdb.h
	$(CC) $< -o $@ -c

modlist.o: modlist.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-drive.h \
	mdb.h \
	modlist.h \
	../stuff/compat.h \
	../stuff/poutput.h \
	../stuff/utf-8.h
	$(CC) $< -o $@ -c

pfilesel.o: pfilesel.c \
	pfilesel-charset.c \
	../config.h \
	../types.h \
	adbmeta.h \
	../boot/psetting.h \
	charsets.h \
	cphlpfs.h \
	../cpiface/cpiface.h \
	dirdb.h \
	filesystem.h \
	filesystem-ancient.h \
	filesystem-bzip2.h \
	filesystem-drive.h \
	filesystem-file-dev.h \
	filesystem-gzip.h \
	filesystem-pak.h \
	filesystem-playlist.h \
	filesystem-playlist-m3u.h \
	filesystem-playlist-pls.h \
	filesystem-setup.h \
	filesystem-rpg.h \
	filesystem-tar.h \
	filesystem-unix.h \
	filesystem-windows.h \
	filesystem-z.h \
	filesystem-zip.h \
	mdb.h \
	modlist.h \
	musicbrainz.h \
	pfilesel.h \
	../stuff/compat.h \
	../stuff/framelock.h \
	../stuff/imsrtns.h \
	../stuff/piperun.h \
	../stuff/poutput.h \
	../stuff/utf-8.h
	$(CC) $< -o $@ -c

pfsmain.o: pfsmain.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/pmain.h \
	../boot/psetting.h \
	../dev/deviplay.h \
	../dev/deviwave.h \
	../dev/postproc.h \
	dirdb.h \
	filesystem.h \
	filesystem-file-dev.h \
	filesystem-setup.h \
	mdb.h \
	pfilesel.h \
	fsptype.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/poutput.h
	$(CC) $< -o $@ -c

=== playflac/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(HAVE_FLAC),1)
TARGETS=playflac$(LIB_SUFFIX)
endif

CFLAGS+=-fPIC

all: $(TARGETS)

flactest$(EXE_SUFFIX): flactest.c
	$(CC) -o $@ flactest.c $(FLAC_CFLAGS) $(FLAC_LIBS)

clean:
	rm -f *.o *$(LIB_SUFFIX) flactest$(EXE_SUFFIX)

install:
ifeq ($(HAVE_FLAC),1)
	$(CP) playflac$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIROCP)/autoload/95-playflac$(LIB_SUFFIX)"
endif

uninstall:
	rm -f "$(DESTDIR)$(LIBDIROCP)/autoload/95-playflac$(LIB_SUFFIX)"

cpiflacinfo.o: cpiflacinfo.c \
	../config.h \
	../types.h \
	../cpiface/cpiface.h \
	../stuff/poutput.h \
	flacplay.h
	$(CC) $< -o $@ -c

cpiflacpic.o: cpiflacpic.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../stuff/poutput.h \
	flacplay.h
	$(CC) $< -o $@ -c

flactype.o: flactype.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/err.h \
	flactype.h
	$(CC) flactype.c -o $@ -c

playflac_so=cpiflacinfo.o cpiflacpic.o flacpplay.o flacplay.o flactype.o
playflac$(LIB_SUFFIX): $(playflac_so)
	$(CC) $(SHARED_FLAGS) $(LDFLAGS) -o $@ $^ $(FLAC_LIBS) $(LIBJPEG_LIBS) $(LIBPNG_LIBS)

flacpplay.o: flacpplay.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../dev/player.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/pfilesel.h \
	../filesel/mdb.h \
	flacplay.h \
	flactype.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/poutput.h \
	../stuff/sets.h
	$(CC) flacpplay.c -o $@ $(FLAC_CFLAGS) -c

flacplay.o: flacplay.c \
	../config.h \
	../types.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../dev/player.h \
	../dev/ringbuffer.h \
	../filesel/filesystem.h \
	flacplay.h \
	../stuff/err.h \
	../stuff/imsrtns.h \
	../stuff/poutput.h
	$(CC) flacplay.c -o $@ $(FLAC_CFLAGS) -c

=== playgmd/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(BUILD_DUMPTOOLS),1)
	DUMPERS=dumpstm$(EXE_SUFFIX) dumps3m$(EXE_SUFFIX)
else
	DUMPERS=
endif

all: playgmd$(LIB_SUFFIX) $(DUMPERS)

playgmd_so=gmdpchan.o gmdpdots.o gmdpinst.o gmdplay.o gmdpplay.o gmdptrak.o gmdrtns.o gmdtime.o gmdtype.o gmdl669.o gmdlams.o gmdldmf.o gmdlmdl.o gmdlmtm.o gmdlokt.o gmdlptm.o gmdls3m.o gmdlstm.o gmdlult.o
playgmd$(LIB_SUFFIX): $(playgmd_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX) dumpstm$(EXE_SUFFIX) dumps3m$(EXE_SUFFIX)

install:
	$(CP) playgmd$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIROCP)/autoload/95-playgmd$(LIB_SUFFIX)"

ifeq ($(BUILD_DUMPTOOLS),1)
	$(CP) dumpstm$(EXE_SUFFIX) "$(DESTDIR)$(BINDIR)/dumpstm$(EXE_SUFFIX)"
	$(CP) dumps3m$(EXE_SUFFIX) "$(DESTDIR)$(BINDIR)/dumps3m$(EXE_SUFFIX)"
endif

uninstall:
	rm -f "$(DESTDIR)$(LIBDIROCP)/autoload/95-playgmd$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(BINDIR)/dumpstm$(EXE_SUFFIX)"
	rm -f "$(DESTDIR)$(BINDIR)/dumps3m$(EXE_SUFFIX)"

dumpstm$(EXE_SUFFIX): dumpstm.o
	$(CC) $(LDFLAGS) -o $@ $^

dumpstm.o: \
	dumpstm.c
	$(CC) -o $@ $< -c

dumps3m$(EXE_SUFFIX): dumps3m.o
	$(CC) $(LDFLAGS) -o $@ $^

dumps3m.o: \
	dumps3m.c
	$(CC) -o $@ $< -c

gmdtype.o: gmdtype.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../filesel/filesystem.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/cp437.h \
	../stuff/err.h \
	gmdtype.h
	$(CC) gmdtype.c -o $@ -c

gmdl669.o: gmdl669.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdl669.c -o $@ -c

gmdlams.o: gmdlams.c \
	gmdlams-v1.c \
	gmdlams-v2.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdlams.c -o $@ -c

gmdldmf.o: gmdldmf.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdldmf.c -o $@ -c

gmdlmdl.o: gmdlmdl.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdlmdl.c -o $@ -c

gmdlmtm.o: gmdlmtm.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdlmtm.c -o $@ -c

gmdlokt.o: gmdlokt.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdlokt.c -o $@ -c

gmdlptm.o: gmdlptm.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdlptm.c -o $@ -c

gmdls3m.o: gmdls3m.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdls3m.c -o $@ -c

gmdlstm.o: gmdlstm.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdlstm.c -o $@ -c

gmdlult.o: gmdlult.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdlult.c -o $@ -c

gmdpchan.o: gmdpchan.c \
	../config.h \
	../types.h \
	gmdplay.h \
	gmdpchan.h \
	../stuff/poutput.h \
	../cpiface/cpiface.h
	$(CC) gmdpchan.c -o $@ -c

gmdpdots.o: gmdpdots.c \
	../config.h \
	../types.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	gmdplay.h \
	gmdpdots.h
	$(CC) gmdpdots.c -o $@ -c

gmdpinst.o: gmdpinst.c \
	../config.h \
	../types.h \
	../dev/mcp.h \
	gmdinst.h \
	../cpiface/cpiface.h
	$(CC) gmdpinst.c -o $@ -c

gmdplay.o: gmdplay.c \
	../config.h \
	../types.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	gmdplay.h \
	../stuff/imsrtns.h \
	../stuff/err.h
	$(CC) gmdplay.c -o $@ -c

gmdpplay.o: gmdpplay.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	gmdpchan.h \
	gmdpdots.h \
	gmdplay.h \
	gmdptrak.h \
	gmdtype.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/poutput.h \
	../stuff/sets.h
	$(CC) gmdpplay.c -o $@ -c

gmdptrak.o: gmdptrak.c \
	../config.h \
	../types.h \
	gmdplay.h \
	gmdptrak.h \
	../stuff/poutput.h \
	../cpiface/cpiface.h
	$(CC) gmdptrak.c -o $@ -c

gmdrtns.o: gmdrtns.c \
	../config.h \
	../types.h \
	../dev/mcp.h \
	gmdplay.h
	$(CC) gmdrtns.c -o $@ -c

gmdtime.o: gmdtime.c \
	../config.h \
	../types.h \
	gmdplay.h
	$(CC) gmdtime.c -o $@ -c

=== playgme/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

TARGETS=playgme$(LIB_SUFFIX) $(DUMPAY)

all: $(TARGETS)

clean:
	rm -f *.o *$(LIB_SUFFIX)

install:
	$(CP) playgme$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIROCP)/autoload/95-playgme$(LIB_SUFFIX)"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIROCP)/autoload/95-playgme$(LIB_SUFFIX)"

cpiinfo.o: cpiinfo.c \
	../config.h \
	../types.h \
	../cpiface/cpiface.h \
	../playgme/gmeplay.h \
	../stuff/poutput.h
	$(CC) $(LIBGME_CFLAGS) $< -o $@ -c

gmeplay.o: gmeplay.c \
	../config.h \
	../types.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../dev/player.h \
	../dev/ringbuffer.h \
	../filesel/filesystem.h \
	../playgme/gmeplay.h \
	../stuff/err.h \
	../stuff/imsrtns.h
	$(CC) $(LIBGME_CFLAGS) $< -o $@ -c

gmepplay.o: gmepplay.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/player.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../playgme/gmeplay.h \
	../playgme/gmetype.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/poutput.h \
	../stuff/sets.h
	$(CC) $< -o $@ -c

gmetype.o: gmetype.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../playgme/gmetype.h \
	../stuff/compat.h \
	../stuff/cp437.h \
	../stuff/err.h
	$(CC) $< -o $@ -c

playgme_so=cpiinfo.o gmetype.o gmeplay.o gmepplay.o
playgme$(LIB_SUFFIX): $(playgme_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ $(LIBGME_LIBS) -lz

=== playhvl/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(BUILD_DUMPTOOLS),1)
	DUMPAHX=dumpahx$(EXE_SUFFIX)
else
	DUMPAHX=
endif

all: playhvl$(LIB_SUFFIX) $(DUMPAHX)

playhvl_so=loader.o player.o hvlpchan.o hvlpdots.o hvlpinst.o hvlpplay.o hvlplay.o hvlptrak.o hvltype.o
playhvl$(LIB_SUFFIX): $(playhvl_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ $(MATH_LIBS)

clean:
	rm -f *.o *$(LIB_SUFFIX) dumpahx$(EXE_SUFFIX)

install:
	$(CP) playhvl$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIROCP)/autoload/95-playhvl$(LIB_SUFFIX)"
ifeq ($(BUILD_DUMPTOOLS),1)
	$(CP) dumpahx$(EXE_SUFFIX) "$(DESTDIR)$(BINDIR)/dumpahx$(EXE_SUFFIX)"
endif

uninstall:
	rm -f "$(DESTDIR)$(LIBDIROCP)/autoload/95-playhvl$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(BINDIR)/dumpahx$(EXE_SUFFIX)"

dumpahx$(EXE_SUFFIX): dumpahx.o
	$(CC) $(LDFLAGS) -o $@ $^

dumpahx.o: \
	dumpahx.c
	$(CC) -o $@ $< -c

hvltype.o: \
	hvltype.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../filesel/filesystem.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/cp437.h \
	../stuff/err.h \
	hvltype.h
	$(CC) -c -o $@ $<

hvlplay.o: \
	hvlplay.c \
	../config.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../dev/player.h \
	../types.h \
	hvlplay.h \
	loader.h \
	player.h \
	../stuff/err.h
	$(CC) -c -o $@ $<

hvlpchan.o: \
	hvlpchan.c \
	../config.h \
	../cpiface/cpiface.h \
	../dev/mix.h \
	../stuff/poutput.h \
	../types.h \
	hvlpchan.h \
	hvlplay.h \
	hvltype.h
	$(CC) -c -o $@ $<

hvlpdots.o: \
	hvlpdots.c \
	../config.h \
	../cpiface/cpiface.h \
	../stuff/poutput.h \
	../types.h \
	hvlpdots.h \
	hvlplay.h \
	player.h
	$(CC) -c -o $@ $<

hvlpinst.o: \
	hvlpinst.c \
	../config.h \
	../cpiface/cpiface.h \
	../stuff/poutput.h \
	../types.h \
	hvlpinst.h \
	hvlplay.h \
	player.h
	$(CC) -c -o $@ $<

hvlpplay.o: \
	hvlpplay.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/player.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	hvlplay.h \
	hvlpchan.h \
	hvlpdots.h \
	hvlpinst.h \
	hvlptrak.h \
	player.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/poutput.h \
	../stuff/sets.h
	$(CC) -c -o $@ $<

hvlptrak.o: \
	hvlptrak.c \
	../config.h \
	../cpiface/cpiface.h \
	../stuff/poutput.h \
	../types.h \
	hvlplay.h \
	hvlptrak.h \
	player.h
	$(CC) -c -o $@ $<

loader.o: \
	loader.c \
	loader.h \
	player.h \
	../config.h \
	../types.h \
	../cpiface/cpiface.h
	$(CC) -c -o $@ $<

player.o: \
	player.c \
	player.h  \
	../config.h \
	../types.h
	$(CC) -c -o $@ $<

=== playopl/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

HAVE_ADPLUG=1
ADPLUG_CXXFLAGS+=-Ilibbinio-git/src -Iadplug-git/src
ADPLUG_LIBS= #$(LIBBINIO_TARGETS) $(LIBADPLUG_TARGETS)

ifeq ($(HAVE_ADPLUG),1)
TARGETS=playopl$(LIB_SUFFIX)
endif

LIBADPLUG_CXXFLAGS=$(ADPLUG_CXXFLAGS)-DVERSION=\"2.3.4-beta\" -Dstricmp=strcasecmp -Ilibbinio-git/src $(ADPLUG_CXX_FLAGS)
ifeq (HAVE_GETOPT_H,1)
LIBADPLUG_CXXFLAGS+=" -DHAVE_GETOPT_H=1"
endif
ifeq (HAVE_SYS_IO_H,1)
LIBADPLUG_CXXFLAGS+=" -DHAVE_SYS_IO_H=1"
endif
ifeq (HAVE_SYS_STAT_H,1)
LIBADPLUG_CXXFLAGS+=" -DHAVE_SYS_STAT_H=1"
endif
ifeq (HAVE_SYS_TYPES_H,1)
LIBADPLUG_CXXFLAGS+=" -DHAVE_SYS_TYPES_H=1"
endif
LIBADPLUG_TARGETS=\
	adplug_a2m.o      adplug_adl.o      adplug_adlibemu.o adplug_adplug.o   adplug_adtrack.o     adplug_amd.o         adplug_analopl.o     adplug_bam.o      adplug_bmf.o      \
	adplug_cff.o      adplug_cmf.o      adplug_coktel.o   adplug_composer.o adplug_cmfmcsop.o    adplug_d00.o         adplug_database.o    adplug_dfm.o      adplug_diskopl.o  \
	adplug_dmo.o      adplug_dro2.o     adplug_dro.o      adplug_dtm.o      adplug_emuopl.o      adplug_flash.o       adplug_fmc.o         adplug_fprovide.o adplug_got.o      \
	adplug_herad.o    adplug_hsc.o      adplug_hsp.o      adplug_hybrid.o   adplug_hyp.o         adplug_imf.o         adplug_jbm.o         adplug_ksm.o      adplug_lds.o      \
	adplug_mad.o      adplug_mdi.o      adplug_mid.o      adplug_mkj.o      adplug_msc.o         adplug_mtk.o         adplug_mtr.o         adplug_mus.o      adplug_nemuopl.o  \
	adplug_pis.o      adplug_player.o   adplug_players.o  adplug_protrack.o adplug_psi.o         adplug_rad2.o        adplug_rat.o         adplug_raw.o      adplug_realopl.o  \
	adplug_rix.o      adplug_rol.o      adplug_s3m.o      adplug_sa2.o      adplug_sng.o         adplug_sop.o         adplug_surroundopl.o adplug_temuopl.o  adplug_u6m.o      \
	adplug_vgm.o      adplug_woodyopl.o adplug_xad.o      adplug_xsm.o      adplug_debug.o       adplug_fmopl.o       adplug_nukedopl.o
#adplugdb_adplugdb.o

LIBBINIO_CXXFLAGS=$(ADPLUG_CXXFLAGS)
LIBBINIO_TARGETS=libbinio_binfile.o libbinio_binio.o libbinio_binstr.o libbinio_binwrap.o

all: $(TARGETS)

clean:
	rm -f *.o *$(LIB_SUFFIX)

install:
ifeq ($(HAVE_ADPLUG),1)
	$(CP) playopl$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIROCP)/autoload/95-playopl$(LIB_SUFFIX)"
ifneq ($(WINDOWS),1)
	mkdir -p "$(DESTDIR)$(DATADIROCP)/data"
	$(CP) adplugdb-git/adplug.db "$(DESTDIR)$(DATADIROCP)/data"
else
	mkdir -p "$(DESTDIR)$(DATADIROCP)"
	$(CP) adplugdb-git/adplug.db "$(DESTDIR)$(DATADIROCP)"
endif
endif

uninstall:
	rm -f "$(DESTDIR)$(LIBDIROCP)/autoload/95-playopl$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(DATADIROCP)/data/adplug.db"

oplconfig.o: oplconfig.cpp \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../filesel/filesystem.h \
	../filesel/filesystem-drive.h \
	../filesel/filesystem-file-dev.h \
	../filesel/filesystem-setup.h \
	../filesel/pfilesel.h \
	../playopl/oplconfig.h \
	../playopl/oplplay.h \
	../playopl/oplRetroWave.h \
	../stuff/err.h \
	../stuff/piperun.h \
	../stuff/poutput.h
	$(ADPLUG_CXX) $(ADPLUG_CXXFLAGS) $< -o $@ -c

oplKen.o: oplKen.cpp \
	../config.h \
	../types.h \
	oplKen.h \
	adplug-git/src/opl.h \
	adplug-git/src/adlibemu.h \
	ocpemu.h
	$(ADPLUG_CXX) $(ADPLUG_CXXFLAGS) $< -o $@ -c

oplNuked.o: oplNuked.cpp \
	oplNuked.h \
	adplug-git/src/opl.h \
	adplug-git/src/fmopl.h \
	ocpemu.h
	$(ADPLUG_CXX) $(ADPLUG_CXXFLAGS) $< -o $@ -c

oplRetroWave.o: \
	oplRetroWave.cpp \
	oplRetroWave-serialization.cpp \
	oplRetroWave-helperthread.cpp \
	oplRetroWave.h \
	../config.h \
	../types.h \
	../cpiface/cpiface.h
	$(ADPLUG_CXX) $(ADPLUG_CXXFLAGS) $< -o $@ -c

oplSatoh.o: oplSatoh.cpp \
	oplSatoh.h \
	adplug-git/src/opl.h \
	adplug-git/src/nukedopl.h \
	ocpemu.h
	$(ADPLUG_CXX) $(ADPLUG_CXXFLAGS) $< -o $@ -c

oplWoody.o: oplWoody.cpp \
	oplWoody.h \
	adplug-git/src/opl.h \
	adplug-git/src/fmopl.h \
	ocpemu.h
	$(ADPLUG_CXX) $(ADPLUG_CXXFLAGS) $< -o $@ -c

opltype.o: opltype.cpp \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/compat.h \
	../stuff/err.h \
	opltype.h
	$(ADPLUG_CXX) $(ADPLUG_CXXFLAGS) opltype.cpp -o $@ -c

playopl_so=oplconfig.o oplchan.o oplpplay.o oplplay.o oplptrak.o ocpemu.o oplKen.o oplNuked.o oplRetroWave.o oplSatoh.o oplWoody.o opltype.o $(LIBBINIO_TARGETS) $(LIBADPLUG_TARGETS)
playopl$(LIB_SUFFIX): $(playopl_so)
	$(ADPLUG_CXX) $(ADPLUG_CXXFLAGS) $(SHARED_FLAGS) $(LDFLAGS) -o $@ $^ $(ADPLUG_LIBS) $(MATH_LIBS)

oplchan.o: oplchan.cpp \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../playopl/ocpemu.h \
	../playopl/oplplay.h \
	../stuff/poutput.h
	$(ADPLUG_CXX) $(ADPLUG_CXXFLAGS) $< -o $@ -c


oplpplay.o: oplpplay.cpp \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../dev/player.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/pfilesel.h \
	../filesel/mdb.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/poutput.h \
	../stuff/sets.h \
	../playopl/oplconfig.h \
	../playopl/oplplay.h \
	../playopl/opltype.h
	$(ADPLUG_CXX) $(ADPLUG_CXXFLAGS) oplpplay.cpp -o $@ -c

oplplay.o: oplplay.cpp \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../dev/player.h \
	../dev/ringbuffer.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../stuff/imsrtns.h \
	oplconfig.h \
	oplplay.h \
	ocpemu.h \
	oplKen.h \
	oplNuked.h \
	oplRetroWave.h \
	oplSatoh.h \
	oplWoody.h \
	oplptrak.h
	$(ADPLUG_CXX) $(ADPLUG_CXXFLAGS) oplplay.cpp -o $@ -c

oplptrak.o: oplptrak.cpp \
	../config.h \
	../types.h \
	../cpiface/cpiface.h \
	../stuff/poutput.h \
	oplplay.h ocpemu.h oplptrak.h
	$(ADPLUG_CXX) $(ADPLUG_CXXFLAGS) oplptrak.cpp -o $@ -c

ocpemu.o: ocpemu.cpp \
	../config.h \
	../types.h \
	ocpemu.h \
	oplRetroWave.h
	$(ADPLUG_CXX) $(ADPLUG_CXXFLAGS) ocpemu.cpp -o $@ -c

adplugdb_adplugdb.o: \
	adplug-git/adplugdb/adplugdb.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_a2m.o: \
	adplug-git/src/a2m.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_adl.o: \
	adplug-git/src/adl.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_adlibemu.o: \
	adplug-git/src/adlibemu.c
	$(CC) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_adplug.o: \
	adplug-git/src/adplug.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_adtrack.o: \
	adplug-git/src/adtrack.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_amd.o: \
	adplug-git/src/amd.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_analopl.o: \
	adplug-git/src/analopl.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_bam.o: \
	adplug-git/src/bam.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_bmf.o: \
	adplug-git/src/bmf.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_cff.o: \
	adplug-git/src/cff.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_cmf.o: \
	adplug-git/src/cmf.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_cmfmcsop.o: \
	adplug-git/src/cmfmcsop.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_coktel.o: \
	adplug-git/src/coktel.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_composer.o: \
	adplug-git/src/composer.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_d00.o : \
	adplug-git/src/d00.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_database.o : \
	adplug-git/src/database.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_debug.o: \
	adplug-git/src/debug.c
	$(CC) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_dfm.o: \
	adplug-git/src/dfm.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_diskopl.o: \
	adplug-git/src/diskopl.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_dmo.o: \
	adplug-git/src/dmo.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_dro2.o: \
	adplug-git/src/dro2.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_dro.o: \
	adplug-git/src/dro.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_dtm.o: \
	adplug-git/src/dtm.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_emuopl.o: \
	adplug-git/src/emuopl.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_flash.o: \
	adplug-git/src/flash.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_fmc.o: \
	adplug-git/src/fmc.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_fmopl.o: \
	adplug-git/src/fmopl.c
	$(CC) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_fprovide.o: \
	adplug-git/src/fprovide.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_got.o: \
	adplug-git/src/got.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_herad.o: \
	adplug-git/src/herad.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_hsc.o: \
	adplug-git/src/hsc.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_hsp.o: \
	adplug-git/src/hsp.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_hybrid.o: \
	adplug-git/src/hybrid.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_hyp.o: \
	adplug-git/src/hyp.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_imf.o: \
	adplug-git/src/imf.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_jbm.o: \
	adplug-git/src/jbm.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_ksm.o: \
	adplug-git/src/ksm.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_lds.o: \
	adplug-git/src/lds.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_mad.o: \
	adplug-git/src/mad.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_mdi.o: \
	adplug-git/src/mdi.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_mid.o: \
	adplug-git/src/mid.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_mkj.o: \
	adplug-git/src/mkj.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_msc.o: \
	adplug-git/src/msc.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_mtk.o: \
	adplug-git/src/mtk.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_mtr.o: \
	adplug-git/src/mtr.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_mus.o: \
	adplug-git/src/mus.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_nemuopl.o: \
	adplug-git/src/nemuopl.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_nukedopl.o: \
	adplug-git/src/nukedopl.c
	$(CC) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_pis.o: \
	adplug-git/src/pis.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_player.o: \
	adplug-git/src/player.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_players.o: \
	adplug-git/src/players.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_protrack.o: \
	adplug-git/src/protrack.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_psi.o: \
	adplug-git/src/psi.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_rad2.o: \
	adplug-git/src/rad2.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_rat.o: \
	adplug-git/src/rat.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_raw.o: \
	adplug-git/src/raw.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_realopl.o: \
	adplug-git/src/realopl.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_rix.o: \
	adplug-git/src/rix.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_rol.o: \
	adplug-git/src/rol.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_s3m.o: \
	adplug-git/src/s3m.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_sa2.o: \
	adplug-git/src/sa2.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_sng.o: \
	adplug-git/src/sng.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_sop.o: \
	adplug-git/src/sop.cpp
	$(ADPLUG_CXX) $(LIBADPLUG_CXXFLAGS) $^ -o $@ -c

adplug_surroundopl.o: \
	adplug-git/src/surroundopl.cpp

=== playsid/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(BUILD_DUMPTOOLS),1)
	DUMPSID=dumpsid$(EXE_SUFFIX)
else
	DUMPSID=
endif

TARGETS=playsid$(LIB_SUFFIX)

LIBSIDPLAYCXXFLAGS+= -I./sidplayfp-config -I./libsidplayfp-git/src

LIBSIDPLAYOBJECTS=libsidplayfp-builders-resid-builder-resid-builder.o \
	libsidplayfp-builders-resid-builder-resid-dac.o \
	libsidplayfp-builders-resid-builder-resid-emu.o \
	libsidplayfp-builders-resid-builder-resid-extfilt.o \
	libsidplayfp-builders-resid-builder-resid-envelope.o \
	libsidplayfp-builders-resid-builder-resid-filter.o \
	libsidplayfp-builders-resid-builder-resid-pot.o \
	libsidplayfp-builders-resid-builder-resid-sid.o \
	libsidplayfp-builders-resid-builder-resid-version.o \
	libsidplayfp-builders-resid-builder-resid-voice.o \
	libsidplayfp-builders-resid-builder-resid-wave.o \
	libsidplayfp-builders-residfp-builder-residfp-builder.o \
	libsidplayfp-builders-residfp-builder-residfp-Dac.o \
	libsidplayfp-builders-residfp-builder-residfp-emu.o \
	libsidplayfp-builders-residfp-builder-residfp-EnvelopeGenerator.o \
	libsidplayfp-builders-residfp-builder-residfp-ExternalFilter.o \
	libsidplayfp-builders-residfp-builder-residfp-Filter.o \
	libsidplayfp-builders-residfp-builder-residfp-Filter6581.o \
	libsidplayfp-builders-residfp-builder-residfp-Filter8580.o \
	libsidplayfp-builders-residfp-builder-residfp-FilterModelConfig.o \
	libsidplayfp-builders-residfp-builder-residfp-FilterModelConfig6581.o \
	libsidplayfp-builders-residfp-builder-residfp-FilterModelConfig8580.o \
	libsidplayfp-builders-residfp-builder-residfp-Integrator6581.o\
	libsidplayfp-builders-residfp-builder-residfp-Integrator8580.o\
	libsidplayfp-builders-residfp-builder-residfp-OpAmp.o \
	libsidplayfp-builders-residfp-builder-residfp-SID.o \
	libsidplayfp-builders-residfp-builder-residfp-SincResampler.o \
	libsidplayfp-builders-residfp-builder-residfp-Spline.o \
	libsidplayfp-builders-residfp-builder-residfp-version.o \
	libsidplayfp-builders-residfp-builder-residfp-WaveformCalculator.o \
	libsidplayfp-builders-residfp-builder-residfp-WaveformGenerator.o \
	libsidplayfp-c64-c64.o \
	libsidplayfp-c64-CIA-interrupt.o \
	libsidplayfp-c64-CIA-mos652x.o \
	libsidplayfp-c64-CIA-SerialPort.o \
	libsidplayfp-c64-CIA-timer.o \
	libsidplayfp-c64-CPU-mos6510.o \
	libsidplayfp-c64-CPU-mos6510debug.o \
	libsidplayfp-c64-CIA-tod.o \
	libsidplayfp-c64-mmu.o \
	libsidplayfp-c64-VIC_II-mos656x.o \
	libsidplayfp-EventScheduler.o \
	libsidplayfp-mixer.o \
	libsidplayfp-player.o \
	libsidplayfp-psiddrv.o \
	libsidplayfp-reloc65.o \
	libsidplayfp-sidemu.o \
	libsidplayfp-sidplayfp-sidbuilder.o \
	libsidplayfp-sidplayfp-SidConfig.o \
	libsidplayfp-sidplayfp-SidInfo.o \
	libsidplayfp-sidplayfp-SidTune.o \
	libsidplayfp-sidplayfp-SidTuneInfo.o \
	libsidplayfp-sidtune-p00.o \
	libsidplayfp-sidtune-prg.o \
	libsidplayfp-sidtune-MUS.o \
	libsidplayfp-sidtune-PSID.o \
	libsidplayfp-sidtune-SidTuneBase.o \
	libsidplayfp-sidtune-SidTuneTools.o \
	libsidplayfp-utils-md5Factory.o \
	libsidplayfp-utils-MD5-MD5.o \
	libsidplayfp-api.o

all: $(TARGETS) $(DUMPSID)

clean:
	rm -f *.o *$(LIB_SUFFIX) libsidplayfp-git/src/sidtune/sidplayer1.bin sidplayfp-git/libsidplayfp/src/sidtune/sidplayer2.bin dumpsid$(EXE_SUFFIX) \
	libsidplayfp-git/src/builders/resid-builder/resid/wave6581__ST.h \
	libsidplayfp-git/src/builders/resid-builder/resid/wave6581_P_T.h \
	libsidplayfp-git/src/builders/resid-builder/resid/wave6581_PS_.h \
	libsidplayfp-git/src/builders/resid-builder/resid/wave6581_PST.h \
	libsidplayfp-git/src/builders/resid-builder/resid/wave8580__ST.h \
	libsidplayfp-git/src/builders/resid-builder/resid/wave8580_P_T.h \
	libsidplayfp-git/src/builders/resid-builder/resid/wave8580_PS_.h \
	libsidplayfp-git/src/builders/resid-builder/resid/wave8580_PST.h

install:
	$(CP) playsid$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIROCP)/autoload/95-playsid$(LIB_SUFFIX)"
ifeq ($(BUILD_DUMPTOOLS),1)
	$(CP) dumpsid$(EXE_SUFFIX) "$(DESTDIR)$(BINDIR)/dumpsid$(EXE_SUFFIX)"
endif

uninstall:
	rm -f "$(DESTDIR)$(LIBDIROCP)/autoload/95-sidplay$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(BINDIR)/dumpsid$(EXE_SUFFIX)"

playsid_so=cpiinfo.o cpisidsetup.o sidplay.o sidpplay.o sidconfig.o sidtype.o $(LIBSIDPLAYOBJECTS)
playsid$(LIB_SUFFIX): $(playsid_so)
	$(CXX) $(SHARED_FLAGS) $(LDFLAGS) -o $@ $^

libsidplayfp-git/src/builders/resid-builder/resid/wave6581__ST.h: \
	libsidplayfp-git/src/builders/resid-builder/resid/wave6581__ST.dat
	$(PERL) libsidplayfp-git/src/builders/resid-builder/resid/samp2src.pl $* $< $@

libsidplayfp-git/src/builders/resid-builder/resid/wave6581_P_T.h: \
	libsidplayfp-git/src/builders/resid-builder/resid/wave6581_P_T.dat
	$(PERL) libsidplayfp-git/src/builders/resid-builder/resid/samp2src.pl $* $< $@

libsidplayfp-git/src/builders/resid-builder/resid/wave6581_PS_.h: \
	libsidplayfp-git/src/builders/resid-builder/resid/wave6581_PS_.dat
	$(PERL) libsidplayfp-git/src/builders/resid-builder/resid/samp2src.pl $* $< $@

libsidplayfp-git/src/builders/resid-builder/resid/wave6581_PST.h: \
	libsidplayfp-git/src/builders/resid-builder/resid/wave6581_PST.dat
	$(PERL) libsidplayfp-git/src/builders/resid-builder/resid/samp2src.pl $* $< $@

libsidplayfp-git/src/builders/resid-builder/resid/wave8580__ST.h: \
	libsidplayfp-git/src/builders/resid-builder/resid/wave8580__ST.dat
	$(PERL) libsidplayfp-git/src/builders/resid-builder/resid/samp2src.pl $* $< $@

libsidplayfp-git/src/builders/resid-builder/resid/wave8580_P_T.h: \
	libsidplayfp-git/src/builders/resid-builder/resid/wave8580_P_T.dat
	$(PERL) libsidplayfp-git/src/builders/resid-builder/resid/samp2src.pl $* $< $@

libsidplayfp-git/src/builders/resid-builder/resid/wave8580_PS_.h: \
	libsidplayfp-git/src/builders/resid-builder/resid/wave8580_PS_.dat
	$(PERL) libsidplayfp-git/src/builders/resid-builder/resid/samp2src.pl $* $< $@

libsidplayfp-git/src/builders/resid-builder/resid/wave8580_PST.h: \
	libsidplayfp-git/src/builders/resid-builder/resid/wave8580_PST.dat
	$(PERL) libsidplayfp-git/src/builders/resid-builder/resid/samp2src.pl $* $< $@

libsidplayfp-builders-resid-builder-resid-builder.o: \
	libsidplayfp-git/src/builders/resid-builder/resid-builder.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-resid-builder-resid-dac.o: \
	libsidplayfp-git/src/builders/resid-builder/resid/dac.cc
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-resid-builder-resid-emu.o: \
	libsidplayfp-git/src/builders/resid-builder/resid-emu.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-resid-builder-resid-envelope.o: \
	libsidplayfp-git/src/builders/resid-builder/resid/envelope.cc
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-resid-builder-resid-extfilt.o: \
	libsidplayfp-git/src/builders/resid-builder/resid/extfilt.cc
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-resid-builder-resid-filter.o: \
	libsidplayfp-git/src/builders/resid-builder/resid/filter.cc
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-resid-builder-resid-pot.o: \
	libsidplayfp-git/src/builders/resid-builder/resid/pot.cc
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-resid-builder-resid-sid.o: \
	libsidplayfp-git/src/builders/resid-builder/resid/sid.cc
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-resid-builder-resid-version.o: \
	libsidplayfp-git/src/builders/resid-builder/resid/version.cc
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-resid-builder-resid-voice.o: \
	libsidplayfp-git/src/builders/resid-builder/resid/voice.cc
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-resid-builder-resid-wave.o: \
	libsidplayfp-git/src/builders/resid-builder/resid/wave.cc \
	libsidplayfp-git/src/builders/resid-builder/resid/wave6581__ST.h \
	libsidplayfp-git/src/builders/resid-builder/resid/wave6581_P_T.h \
	libsidplayfp-git/src/builders/resid-builder/resid/wave6581_PS_.h \
	libsidplayfp-git/src/builders/resid-builder/resid/wave6581_PST.h \
	libsidplayfp-git/src/builders/resid-builder/resid/wave8580__ST.h \
	libsidplayfp-git/src/builders/resid-builder/resid/wave8580_P_T.h \
	libsidplayfp-git/src/builders/resid-builder/resid/wave8580_PS_.h \
	libsidplayfp-git/src/builders/resid-builder/resid/wave8580_PST.h
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-builder.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp-builder.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -I./libsidplayfp-git/src/builders/residfp-builder/residfp -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-Dac.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp/Dac.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-emu.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp-emu.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -I./libsidplayfp-git/src/builders/residfp-builder/residfp -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-EnvelopeGenerator.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp/EnvelopeGenerator.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-ExternalFilter.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp/ExternalFilter.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-Filter.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp/Filter.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-Filter6581.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp/Filter6581.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-Filter8580.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp/Filter8580.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-FilterModelConfig.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp/FilterModelConfig.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-FilterModelConfig6581.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp/FilterModelConfig6581.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-FilterModelConfig8580.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp/FilterModelConfig8580.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-Integrator6581.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp/Integrator6581.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-Integrator8580.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp/Integrator8580.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-OpAmp.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp/OpAmp.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-SID.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp/SID.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -I./libsidplayfp-git/src/builders/residfp-builder/residfp -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-SincResampler.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp/resample/SincResampler.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -I./libsidplayfp-git/src/builders/residfp-builder/residfp -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-Spline.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp/Spline.cpp
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c
libsidplayfp-builders-residfp-builder-residfp-version.o: \
	libsidplayfp-git/src/builders/residfp-builder/residfp/version.cc
	$(LIBSIDPLAYCXX) $(LIBSIDPLAYCXXFLAGS) -o $@ $< -c

=== playxm/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(BUILD_DUMPTOOLS),1)
	DUMPERS=dumpmod$(EXE_SUFFIX)
else
	DUMPERS=
endif

all: playxm$(LIB_SUFFIX) $(DUMPERS)

playxm_so=xmlmod.o xmlmxm.o xmload.o xmload.o xmchan.o xmpinst.o xmplay.o xmpplay.o xmptrak.o xmrtns.o xmtime.o xmtype.o
playxm$(LIB_SUFFIX): $(playxm_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX) dumpmod$(EXE_SUFFIX)

install:
	$(CP) playxm$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIROCP)/autoload/95-playxm$(LIB_SUFFIX)"
ifeq ($(BUILD_DUMPTOOLS),1)
	$(CP) dumpmod$(EXE_SUFFIX) "$(DESTDIR)$(BINDIR)/dumpmod$(EXE_SUFFIX)"
endif

uninstall:
	rm -f "$(DESTDIR)$(LIBDIROCP)/autoload/95-playxm$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(BINDIR)/dumpmod$(EXE_SUFFIX)"

dumpmod$(EXE_SUFFIX): dumpmod.o
	$(CC) $(LDFLAGS) -o $@ $^

dumpmod.o: \
	dumpmod.c
	$(CC) -o $@ $< -c

xmchan.o: xmchan.c \
	../config.h \
	../types.h \
	../playxm/xmchan.h \
	../playxm/xmplay.h \
	../stuff/poutput.h
	$(CC) xmchan.c -o $@ -c

xmlmod.o: xmlmod.c \
	../config.h \
	xmplay.h \
	../types.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	../stuff/err.h
	$(CC) xmlmod.c -o $@ -c

xmlmxm.o: xmlmxm.c \
	../config.h \
	xmplay.h \
	../types.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	../stuff/err.h
	$(CC) xmlmxm.c -o $@ -c

xmload.o: xmload.c \
	../config.h \
	xmplay.h \
	../types.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	../stuff/err.h
	$(CC) xmload.c -o $@ -c

xmpinst.o: xmpinst.c \
	../config.h \
	xmplay.h \
	../types.h \
	../dev/mcp.h \
	../stuff/poutput.h \
	../cpiface/cpiface.h
	$(CC) xmpinst.c -o $@ -c

xmplay.o: xmplay.c \
	../config.h \
	xmplay.h \
	../types.h \
	../dev/mcp.h \
	../stuff/err.h
	$(CC) xmplay.c -o $@ -c

xmpplay.o: xmpplay.c \
	../config.h \
	xmchan.h \
	xmplay.h \
	xmtype.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/deviwave.h \
	../dev/mcp.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/poutput.h \
	../stuff/sets.h
	$(CC) xmpplay.c -o $@ -c

xmptrak.o: xmptrak.c \
	../config.h \
	xmplay.h \
	../types.h \
	../stuff/poutput.h \
	../cpiface/cpiface.h
	$(CC) xmptrak.c -o $@ -c

xmrtns.o: xmrtns.c \
	../config.h \
	xmplay.h \
	../types.h \
	../dev/mcp.h \
	../stuff/err.h
	$(CC) xmrtns.c -o $@ -c

xmtime.o: xmtime.c \
	../config.h \
	xmplay.h \
	../types.h
	$(CC) xmtime.c -o $@ -c

xmtype.o: xmtype.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../filesel/filesystem.h \
	../filesel/dirdb.h \
	../filesel/pfilesel.h \
	../filesel/mdb.h \
	../stuff/cp437.h \
	../stuff/err.h \
	xmtype.h
	$(CC) xmtype.c -o $@ -c

=== playym/Makefile ===
TOPDIR=../
include $(TOPDIR)/Rules.make

ifeq ($(HAVE_LZH),1)
LZH_LIB:=-llzh
else
LZH_LIB:=
endif

all: lzh_dir stsoundlib_dir playym$(LIB_SUFFIX)

.PHONY: all clean install uninstall lzh_dir stsoundlib_dir


lzh_dir:
ifeq ($(HAVE_LZH),1)
	$(MAKE) -C lzh all TOPDIR="../$(TOPDIR)"
endif
lzh/liblzh.a: lzh_dir


stsoundlib_dir:
	$(MAKE) -C stsoundlib all TOPDIR="../$(TOPDIR)"
stsoundlib/libym.a: stsoundlib_dir


install:
	$(CP) playym$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIROCP)/autoload/95-playym$(LIB_SUFFIX)"

uninstall:
	$(RM) -f "$(DESTDIR)$(LIBDIROCP)/autoload/95-playym$(LIB_SUFFIX)"

clean:
	$(MAKE) -C lzh clean TOPDIR="../$(TOPDIR)"
	$(MAKE) -C stsoundlib clean TOPDIR="../$(TOPDIR)"
	rm -f *.o *$(LIB_SUFFIX)

playym_so=ympplay.o ymplay.o stsoundlib/libym.a ymtype.o
ifeq ($(HAVE_LZH),1)
playym_so+=lzh/liblzh.a
endif
playym$(LIB_SUFFIX): $(playym_so)
	$(CXX) $(SHARED_FLAGS) $(LDFLAGS) -o $@ $(playym_so) $(LZH_LIB) -lym -Llzh -Lstsoundlib

ymtype.o: ymtype.cpp \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../filesel/filesystem.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/err.h \
	lzh/lzh.h \
	ymtype.h
	$(CXX) ymtype.cpp -o $@ -c

ympplay.o: ympplay.cpp \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../dev/player.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/compat.h \
	../stuff/poutput.h \
	../stuff/err.h \
	../stuff/sets.h \
	stsoundlib/StSoundLibrary.h \
	ymplay.h \
	ymtype.h
	$(CXX) ympplay.cpp -o $@ -c

ymplay.o: ymplay.cpp \
	../config.h \
	../types.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../dev/player.h \
	../dev/ringbuffer.h \
	../filesel/filesystem.h  \
	../stuff/err.h \
	../stuff/imsrtns.h \
	ymplay.h \
	stsoundlib/YmMusic.h
	$(CXX) ymplay.cpp -o $@ -c

=== stuff/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make
include Makefile-static

ifeq ($(STATIC_CORE),1)
all: $(stuff_libocp_so) $(sets_so) $(poutput_so)
else
all: $(stuff_libocp_so) sets$(LIB_SUFFIX) poutput$(LIB_SUFFIX) poutput-keyboard.o
endif

test: compat-test$(EXE_SUFFIX)
	./compat-test.sh

poutput$(LIB_SUFFIX): $(poutput_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ $(poutput_so_libs)

sets$(LIB_SUFFIX): $(sets_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX) compat-test$(EXE_SUFFIX)

ifeq ($(STATIC_CORE),1)
install:
uninstall:
else
install:
	$(CP) poutput$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIROCP)/autoload/12-poutput$(LIB_SUFFIX)"
	$(CP) sets$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIROCP)/autoload/10-sets$(LIB_SUFFIX)"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIROCP)/autoload/12-poutput$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIROCP)/autoload/10-sets$(LIB_SUFFIX)"
endif

cp437.o: cp437.c cp437.h \
	../config.h \
	../types.h \
	utf-8.h
	$(CC) $< -o $@ -c

compat-test$(EXE_SUFFIX): compat-test.c \
	compat.c \
	compat.h \
	../config.h \
	../types.h \
	../boot/plinkman.h
	$(CC) $< -o $@

file.o: file.c \
	../config.h \
	../types.h \
	file.h
	$(CC) $< -o $@ -c

piperun-unix.o: piperun-unix.c \
	../config.h \
	../types.h \
	piperun.h
	$(CC) $< -o $@ -c

piperun-windows.o: piperun-windows.c \
	../config.h \
	../types.h \
	piperun.h
	$(CC) $< -o $@ -c

poutput.o: poutput.c \
	../config.h \
	../types.h \
	imsrtns.h \
	framelock.h \
	pfonts.h \
	poutput.h \
	poutput-keyboard.h
	$(CC) poutput.c -o $@ -c

poutput-keyboard.o: poutput-keyboard.c \
	../config.h \
	../types.h \
	poutput.h \
	poutput-keyboard.h
	$(CC) poutput-keyboard.c -o $@ -c

poll.o: poll.c poll.h \
	../config.h \
	../types.h \
	imsrtns.h \
	poll.h
	$(CC) poll.c -o $@ -c

latin1.o: latin1.c latin1.h \
	../config.h \
	../types.h \
	utf-8.h
	$(CC) $< -o $@ -c

poutput-curses.o: poutput-curses.c \
	../config.h \
	../types.h \
	../boot/console.h \
	../boot/psetting.h \
	../stuff/cp437.h \
	../stuff/poll.h \
	../stuff/poutput.h \
	../stuff/poutput-curses.h \
	../stuff/poutput-keyboard.h \
	../stuff/utf-8.h
	$(CC) poutput-curses.c -o $@ -c

poutput-vcsa.o: poutput-vcsa.c \
	../config.h \
	../types.h \
	../boot/console.h \
	../boot/psetting.h \
	../stuff/pfonts.h \
	../stuff/poutput.h \
	../stuff/poutput-keyboard.h \
	../stuff/poutput-vcsa.h \
	../stuff/utf-8.h
	$(CC) poutput-vcsa.c -o $@ -c

poutput-fb.o: poutput-fb.c poutput-fb.h \
	../config.h \
	../types.h \
	../boot/console.h \
	poutput.h
	$(CC) poutput-fb.c -o $@ -c

poutput-fontengine.o: poutput-fontengine.c poutput-fontengine.h \
	../config.h \
	../types.h \
	../boot/psetting.h \
	pfonts.h \
	cp437.h \
	ttf.h \
	utf-8.h
	$(CC) $< -o $@ -c

poutput-sdl.o: poutput-sdl.c \
	ttf.h \
	../config.h \
	../types.h \
	../boot/console.h \
	../boot/psetting.h \
	../stuff/framelock.h \
	../stuff/imsrtns.h \
	../stuff/poutput.h \
	../stuff/poutput-fontengine.h \
	../stuff/poutput-keyboard.h \
	../stuff/poutput-sdl.h \
	../stuff/poutput-swtext.h
	$(CC) $(SDL_CFLAGS) poutput-sdl.c -o $@ -c

poutput-sdl2.o: poutput-sdl2.c \
	ttf.h \
	../config.h \
	../types.h \
	../boot/console.h \
	../boot/psetting.h \
	../stuff/framelock.h \
	../stuff/imsrtns.h \
	../stuff/poutput.h \
	../stuff/poutput-fontengine.h \
	../stuff/poutput-keyboard.h \
	../stuff/poutput-sdl2.h \
	../stuff/poutput-swtext.h
	$(CC) $(SDL2_CFLAGS) poutput-sdl2.c -o $@ -c

poutput-swtext.o: poutput-swtext.c poutput-swtext.h \
	framelock.h \
	latin1.h \
	pfonts.h \
	poutput.h \
	poutput-fontengine.h \
	utf-8.h \
	../config.h \
	../types.h
	$(CC) $(CFLAGS) $< -o $@ -c

poutput-x11.o: poutput-x11.c \
	../config.h \
	../types.h \
	../boot/console.h \
	../boot/psetting.h \
	../desktop/opencubicplayer-48x48.xpm \
	../stuff/framelock.h \
	../stuff/imsrtns.h \
	../stuff/poutput.h \
	../stuff/poutput-keyboard.h \
	../stuff/poutput-swtext.h \
	../stuff/poutput-x11.h \
	../stuff/pfonts.h \
	../stuff/poll.h \
	../stuff/x11-common.h
	$(CC) poutput-x11.c -o $@ -c

x11-common.o: x11-common.c x11-common.h \
	../config.h \
	../types.h \
	poutput.h
	$(CC) x11-common.c -o $@ -c

err.o: err.c err.h \
	../config.h \
	../types.h
	$(CC) err.c -o $@ -c

sets.o: sets.c sets.h \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	err.h
	$(CC) sets.c -o $@ -c

console.o: console.c \
	../boot/console.h \
	../config.h \
	../boot/psetting.h \
	../stuff/latin1.h \
	poutput-curses.h \
	poutput-sdl.h \
	poutput-sdl2.h \
	poutput-x11.h \
	poutput-vcsa.h \
	utf-8.h
	$(CC) console.c -o $@ -c

compat.o: compat.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	compat.h
	$(CC) compat.c -o $@ -c

pfonts.o: pfonts.c \
	../config.h \
	../types.h \
	pfonts.h
	$(CC) pfonts.c -o $@ -c

framelock.o: framelock.c framelock.h \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../filesel/pfilesel.h \
	poll.h \
	err.h
	$(CC) framelock.c -o $@ -c

ttf.o: ttf.c ttf.h \
	utf-8.h
	$(CC) $< -o $@ -c $(FREETYPE2_CFLAGS) $(FREETYPE2_CFLAGS)

utf-8.o: utf-8.c \
	../config.h \
	../types.h \
	../cpiface/cpiface.h \
	poutput.h \
	framelock.h \
	utf-8.h
	$(CC) $< -o $@ -c

=== debian/changelog ===
ocp (1:0.2.107+ds-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:09:20 +1100

ocp (1:0.2.107+ds-1build2) noble; urgency=medium

  * No-change rebuild against libflac12t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 14:57:52 +0000

ocp (1:0.2.107+ds-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:30:06 +0000

ocp (1:0.2.107+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Mon, 19 Feb 2024 19:02:45 +0100

=== debian/control ===
Source: ocp
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13),
               desktop-file-utils,
               dpkg (>= 1.15.4),
               fonts-unifont,
               libadplug-dev (>= 2.3.1),
               libancient-dev,
               libbinio-dev (>= 1.5),
               libsdl2-dev,
               libcjson-dev,
               libasound2-dev,
               libbz2-dev,
               libdiscid-dev,
               libjpeg-dev,
               libpng-dev,
               libfreetype-dev,
               libflac-dev,
               libgme-dev,
               libid3tag0-dev,
               libmad0-dev,
               libncurses-dev,
               libogg-dev,
               libsidplay1-dev,
               libvorbis-dev,
               shared-mime-info,
               texinfo,
               xa65,
               zlib1g-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/ocp.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ocp
Homepage: https://stian.cubic.org/project-ocp.php

Package: opencubicplayer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sensible-utils
Recommends: freepats, opencubicplayer-doc
Provides: audio-mixer, mp3-decoder, mp3-encoder, x-audio-mixer
Description: UNIX port of Open Cubic Player
 This is a port of the Open Cubic Player to UNIX from DOS. Provides a
 nice textbased frontend, with some few optional features in graphical.
 Plays modules, sids, wave, audio CD, midi, ogg, flac, adlib, mp3, ahx,
 hvl, and ym.

Package: opencubicplayer-doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Section: doc
Description: Documentation for UNIX port of Open Cubic Player
 This is the documentation for the  port of the Open Cubic Player to
 UNIX from DOS. Provides a nice textbased frontend, with some few
 optional features in graphical. Plays modules, sids, wave, audio CD,
 midi, ogg, flac, adlib, mp3, and ym.
